# 数据中心

## 部署本地编译环境：
>
### 部署nodeJS
下载地址：https://nodejs.org/en/download/
    参考教材：https://my.oschina.net/jutao/blog/1585746
### 安装淘宝npm（cnpm）
npm install -g cnpm --registry=https://registry.npm.taobao.org
### 部署vue-cli
在命令行界面执行：npm install --global vue-cli
### 进入项目根目录
在命令行界面执行：cnpm install
### 执行完毕后，就可以打包项目了，打包对应的配置文件位于项目根目录下config/prod.env.js
在命令行界面执行：node build/build.js

## npm命令说明：

### dev
    读取webpack.dev.conf配置,本地默认8080端口启动

### build
    读取webpack.conf配置

### build：test env
    读取webpack.test.conf配置

### new：component
    根据输入英文名，在src/components目录生成对应组件目录

### new：view
    根据输入英文名路径/英文名，在src/views目录生成指定路径及对应vue组件文件
    如输入test/test
    会在src/views下生成test目录，test目录中生成test.vue文件

### new：viewFiles
    根据输入英文名路径/英文名，在src/views目录生成指定路径及对应的拆分为vue，html，js，less的组件文件
    如输入test/test
    会在src/views下生成test目录，test目录中生成test.vue、test.html、test.js、test.less文件

## 网络资源

### git排版
>MarkDown语法<br>
>https://www.jianshu.com/p/44ad4a22bc23


### 二维码生成工具
>qrcode<br>
>https://blog.csdn.net/u010345462/article/details/81699910


### 富文本编辑器
>tinymce<br>
>https://blog.csdn.net/hkweb_/article/details/81207243


### 简单拖拽：
>vuedraggable<br>
>http://www.cnblogs.com/songdongdong/p/6928945.html


### table拖拽：
>vuedraggable+sortablejs<br>
>https://www.jianshu.com/p/6da3043aed2a

