export const barLineOption = {
  color:[],
  toolbox: {
    feature: {
    },
  },
  grid:{
    show:true,
    left: '3%',
    right: '3%',
    bottom: '8%',
    top:'18%',
    containLabel: true,
    backgroundColor:'transparent'
  },
  legend: {
    // data:[],
    type: 'scroll',
    top:30,
    itemWidth:12,
    itemHeight:8,
    textStyle:{
      color: '#9b9b9c',
    }
  },
  xAxis: [
    {
      type: 'category',
      data: [],
      axisLabel: {
        show: true,
        textStyle: {
          color: '#9b9b9c'
        }
      },
      nameTextStyle:{
        color: '#9b9b9c',
      },
      axisLine:{
        lineStyle:{
          color: '#9b9b9c',
        }
      },
    }
    ],
  yAxis: [
    {
      type: 'value',
      name: '数量',
      axisLabel: {
        show: true,
        textStyle: {
          color: '#9b9b9c'
        },
        formatter: '{value}'
      },
      axisLine:{
        lineStyle:{
          color: '#9b9b9c',
        },

      },
      splitLine:{
        show:true,
        lineStyle:{
          color: '#9b9b9c'
        }
      },
    },
    {
      type: 'value',
      name: '百分比(%)',
//	            min: 0,
//	            max: 100,
//	            interval: 5,
    axisLabel: {
      show: true,
      formatter: '{value}',
      textStyle: {
        color: '#9b9b9c'
      }
    },
    axisLine:{
      lineStyle:{
        color: '#9b9b9c',
      }
    },
    splitLine:{
      show:true,
      lineStyle:{
        color: '#9b9b9c'
      }
    },
  }
    ],
  series: [],
  tooltip: {
    trigger: 'axis',
    formatter: function (params) {
      let html = '';
      params.forEach((currentValue,index)=>{
        if(currentValue.componentSubType == 'line'){
        currentValue.value += '';
        }
        if(index == 0){
        html +=currentValue.name + '<br/>';
        }
        html += currentValue.seriesName + ' : ' + currentValue.value+'<br/>'
      })
      return html;
    }
  },
}


export const pieOption = {
  title : {
    text: '',
    subtext: '',
    x:'center'
  },
  tooltip : {
    trigger: 'item',
    formatter: "{a} <br/>{b} : {c} ({d}%)"
  },
  legend: {
    type: 'scroll',
    top: 40,
    textStyle:{
      color: '#9b9b9c',
    }
    // data: [],
  },
  series :     {
    name: '',
    type: 'pie',
    radius : '55%',
    center: ['50%', '50%'],
    data: [],
    itemStyle: {
      emphasis: {
        shadowBlur: 10,
        shadowOffsetX: 0,
        shadowColor: 'rgba(0, 0, 0, 0.5)'
      }
    }
  }
};


